@echo off

type read.me | more
echo ******STUNTS*CHEAT*CARS*INSTALL PROGRAM********************************
pause                                                                       
cls
echo Usage: Type the full path name of your
echo        Stunts directory after this batch file.
echo e.g. "install c:\games\stunts"
echo .
echo Press Ctrl-C now if you have not done so
echo    OR
echo if you did not really read the read.me file
echo    OR
echo if you did and you don't trust this batch
echo file and want to do it manually. :)
echo    OR
pause

if not exist %1\car*.res    goto whoops1
if not exist  .\install.bat goto whoops2

echo Good... lets continue.
echo .
echo Making a "cheatcars" subdirectory...
mkdir %1\cheatcars
pause
cls
echo Backing up Original Car files...
copy  %1\car*.res %1\cheatcars\bar*.res
pause
cls
if not exist  .\aar*.res goto whoops2

echo Copying Cheat Car files....
copy .\aar*.res %1\cheatcars\aar*.res
pause
cls
echo Copying Batchfiles....
copy .\*.tab    %1\cheatcars\*.bat
pause
cls
echo Copying "Stunts by Broderbund: How to Tune a Car?"....
copy .\car.mod  %1\cheatcars\car.mod
pause
cls
goto lastword

:whoops1
echo %1 is not your Stunts directory
echo Make sure you type in the full path name of your
echo Stunts directory after the batch file correctly.
echo e.g. "install c:\games\stunts"
goto end

:whoops2
echo Please run this batch file from the directory
echo where you unzipped the archive.  The following
echo files must be in this directory:
echo install.bat newcars.tab oldcars.tab aar*.res
goto end

:lastword
echo  The install is finished.  
echo  .
echo  Remember:
echo  Use newcars.bat to copy the cheat car files over the originals.
echo  Use oldcars.bat to restore the original car files.
echo  .
echo  Make sure you do not delete these original car files
echo  stored as bar*.res because they can only be replaced 
echo  by a reinstall from the Stunts install disks.
echo  .
echo  This install does not and I will NOT provide any of
echo  the original files from Broderbund Stunts.  I take 
echo  no responsibility for you messing up your own files.
echo  .
echo  So, have fun with these "new" cars.
echo  To make your own cars, read the CAR.MOD file.
echo  .
echo  Changing to cheatcar directory... press Ctrl-C to abort.
echo    OR
pause
cd %1\cheatcars
cls
echo  Use newcars.bat to copy the cheat car files over the originals.
echo  Use oldcars.bat to restore the original car files.

:end
